Aller au contenu principal

Clients

4 routes de l'API publique. Textes de la source : openapi-csp.json du dépôt platform.

List clients​

GET /clients

Accès : Clé API du MSP, portée read.

Paramètres

NomEmplacementTypeObligatoireDescription
limitrequêteintegernonDéfaut : 50. Valeur : 1 à 100.
cursorrequêtestringnonLongueur minimum : 1.
qrequêtestringnonLongueur : 1 à 255.

Réponses

CodeDescription
200Success
defaultError (400, 401, 403, 404, 409, 415, 422, 429, 500, 502, 503 or 504)

Réponse 200 (application/json)

NomTypeObligatoireDescription
itemsarray of objectoui
items[].idstring (uuid)oui
items[].msp_idstring (uuid)oui
items[].namestringoui
items[].created_atstring (date-time)oui
items[].endpoint_countintegerouiValeur minimum : 0.
items[].stored_bytesintegerouiValeur minimum : 0.
items[].deletion_effective_atstring (date-time) | nulloui
next_cursorstring | nulloui

Create client​

POST /clients

Accès : Clé API du MSP, portée operate.

Corps de la requête (application/json)

NomTypeObligatoireDescription
namestringouiLongueur : 1 à 255.

Réponses

CodeDescription
201Success
defaultError (400, 401, 403, 404, 409, 415, 422, 429, 500, 502, 503 or 504)

Réponse 201 (application/json)

NomTypeObligatoireDescription
idstring (uuid)oui
msp_idstring (uuid)oui
namestringoui
created_atstring (date-time)oui
endpoint_countintegerouiValeur minimum : 0.
stored_bytesintegerouiValeur minimum : 0.
deletion_effective_atstring (date-time) | nulloui

Get client​

GET /clients/{id}

Accès : Clé API du MSP, portée read.

Paramètres

NomEmplacementTypeObligatoireDescription
idcheminstring (uuid)oui

Réponses

CodeDescription
200Success
defaultError (400, 401, 403, 404, 409, 415, 422, 429, 500, 502, 503 or 504)

Réponse 200 (application/json)

NomTypeObligatoireDescription
idstring (uuid)oui
msp_idstring (uuid)oui
namestringoui
created_atstring (date-time)oui
endpoint_countintegerouiValeur minimum : 0.
stored_bytesintegerouiValeur minimum : 0.
deletion_effective_atstring (date-time) | nulloui

Delete client​

DELETE /clients/{id}

Accès : Clé API du MSP, portée operate.

Paramètres

NomEmplacementTypeObligatoireDescription
idcheminstring (uuid)oui

Réponses

CodeDescription
202Success
defaultError (400, 401, 403, 404, 409, 415, 422, 429, 500, 502, 503 or 504)

Réponse 202 (application/json)

NomTypeObligatoireDescription
client_idstring (uuid)oui
endpointsarray of objectoui
endpoints[].endpoint_idstring (uuid)oui
endpoints[].pending_action_idstring (uuid)oui
endpoints[].requested_atstring (date-time)oui
endpoints[].effective_atstring (date-time)ouiRequest + 72 h.
endpoints[].purge_atstring (date-time)ouiPlanned earliest purge: effective_at + 7 days; actual purge is at least 7 days after deleted_at.
revoked_enrollment_tokensintegerouiUnused tokens of the client revoked by this request. Valeur minimum : 0.